# Call CamiTK CMake Macro to define the action
camitk_extension(ACTION_EXTENSION
                 # Auto test will not work as this action needs two other action
                 # and auto test are isolating the action it takes.
                 # But integration test will perform all the required tests.
                 ENABLE_INTEGRATION_TEST
)

camitk_tests_requirement(TESTS action-hardcodedpipeline-integration-test
                         REQUIRES "NOT WIN32"
                         REASON   "WIN32 OpenGL failure on a VM
   This test will always fail when run inside a VM due to OpenGL crash.
   This test will pass when run directly from a physical windows machine."
)

camitk_tests_requirement(TESTS action-hardcodedpipeline-integration-test
                         REQUIRES "${VTK_VERSION} VERSION_EQUAL 9.1.0"
                         REASON "VTK version is not equals than 9.1.0
   The default test files are written using the currently supported version of VTK (VTK 9.1).
   This test might therefore fail when comparing the input to the output if another version of VTK is used.
   Although everything should work fine, the output diff will make this test unconditionally fail."
)